<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Social Login GraphQL for Magento 2 (System)
 */

use Amasty\SocialLogin\Api\SocialRepositoryInterface;
use Magento\Customer\Api\CustomerRepositoryInterface;
use Magento\TestFramework\Helper\Bootstrap;
use Magento\TestFramework\Workaround\Override\Fixture\Resolver;

Resolver::getInstance()->requireDataFixture('Magento/Customer/_files/new_customer.php');

$objectManager = Bootstrap::getObjectManager();

/** @var SocialRepositoryInterface $socialRepository */
$socialRepository = $objectManager->create(SocialRepositoryInterface::class);

/** @var CustomerRepositoryInterface $customerRepository */
$customerRepository = $objectManager->create(CustomerRepositoryInterface::class);

$customer = $customerRepository->get('new_customer@example.com');

$user = [
    'identifier' => '12345678910111213' . rand(1000, 9999),
    'displayName' => $customer->getFirstname() . ' ' . $customer->getLastname(),
    'firstName' => $customer->getFirstname(),
    'lastName' => $customer->getLastname(),
    'email' => $customer->getEmail(),
    'emailVerified' => $customer->getEmail(),
    'firstname' => $customer->getFirstname(),
    'lastname' => $customer->getLastname(),
];

$socialRepository->createSocialAccount($user, $customer->getId(), 'amazon');
$socialRepository->createSocialAccount($user, $customer->getId(), 'facebook');
$socialRepository->createSocialAccount($user, $customer->getId(), 'google');
$socialRepository->createSocialAccount($user, $customer->getId(), 'instagram');
$socialRepository->createSocialAccount($user, $customer->getId(), 'linkedin');
$socialRepository->createSocialAccount($user, $customer->getId(), 'paypal');
$socialRepository->createSocialAccount($user, $customer->getId(), 'twitch');
$socialRepository->createSocialAccount($user, $customer->getId(), 'twitter');
