<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Social Login GraphQL for Magento 2 (System)
 */

use Amasty\SocialLogin\Api\SocialRepositoryInterface;
use Magento\Customer\Api\CustomerRepositoryInterface;
use Magento\TestFramework\Helper\Bootstrap;
use Magento\TestFramework\Workaround\Override\Fixture\Resolver;
use Amasty\SocialLogin\Model\ResourceModel\Social\CollectionFactory as CollectionSocialFactory;

$objectManager = Bootstrap::getObjectManager();

/** @var SocialRepositoryInterface $socialRepository */
$socialRepository = $objectManager->create(SocialRepositoryInterface::class);

/** @var CollectionSocialFactory $collectionSocialFactory */
$collectionSocialFactory = $objectManager->create(CollectionSocialFactory::class);

/** @var CustomerRepositoryInterface $customerRepository */
$customerRepository = $objectManager->create(CustomerRepositoryInterface::class);

$customerId = $customerRepository->get('new_customer@example.com')->getId();

$collectionSocial = $collectionSocialFactory->create();
$socials = $collectionSocial->addFieldToFilter('main_table.customer_id', ['in' => [$customerId]])->getItems();

foreach ($socials as $social) {
    $socialRepository->delete($social);
}

Resolver::getInstance()->requireDataFixture('Magento/Customer/_files/new_customer_rollback.php');
